Subject: Re: [secdir] draft-cheshire-dnsext-multicastdns-12.txt

From: Stuart Cheshire <[email-masked]>
Date: Tue, 14 Dec 2010 19:10:09 -0800

On 30 Nov 2010, at 9:13 AM, Donald Eastlake wrote:

> I would suggest that the first word of Section 20, currently "The",  
> should be replaced by "A major" or "One of the" or the like.

Agreed. The document now says:

    Multicast DNS shares, as much as possible, the familiar APIs, naming
    syntax, resource record types, etc., of Unicast DNS.

> For consistency with RFC 5395, all occurrences of "pseudo-RR"  
> should be replace with "meta-RR"

dictionary.reference.com says:

> meta
>
> A prefix meaning one level of description higher. If X is some  
> concept then meta-X is data about, or processes operating on, X.  
> For example, a metasyntax is syntax for specifying syntax,  
> metalanguage is a language used to discuss language, meta-data is  
> data about data, and meta-reasoning is reasoning about reasoning.

Is that what you mean? A "meta resource record" is a "resource record  
about resource records".

The term "pseudo-RR" means: “false”, “pretended” or “unreal”.

In this context the text is referring to any apparent RR in the  
packet that's not really an RR, not solely to RRs that describe other  
RRs.

> it would not hurt to add a reference to RFC 5395

Where would you like this reference to appear?

Stuart Cheshire <[email-masked]>
* Wizard Without Portfolio, Apple Inc.
* www.stuartcheshire.org